import { FormControl, ValidatorFn, AbstractControl } from '@angular/forms';
import { BootstrapFormGroup } from '../forms';
import { OnInit } from '@angular/core';
import { IMaskConfig } from '../interfaces';
export declare class InputComponent implements OnInit {
    maskArray: (string | RegExp)[];
    maxLength: number;
    minLength: number;
    regex: RegExp;
    required: boolean;
    label: string;
    controlName: string;
    form: BootstrapFormGroup;
    control: FormControl;
    validators: ValidatorFn[];
    maskConfig: IMaskConfig;
    ngOnInit(): void;
    constructor();
    hasError(errorName: string): boolean;
    isValid(): boolean;
    configureInputMask(): void;
    trimToMaxLength(conformedValue: string): string;
    buildValidators(): void;
    validateInputs(): void;
    getFormControl(): AbstractControl;
}
